package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.AlarmConfig;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface AlarmConfigDAO {
	int insert(AlarmConfig entity);
	int update(AlarmConfig entity);
	int exist(String id);
	AlarmConfig get(String id);
	int delete(String id);
	List<AlarmConfig> list();
	List<AlarmConfig> search(Map<String, Object> searchParams, List<Sort> sortList);
    List<AlarmConfig> findByCompanyId(String companyId);

    List<AlarmConfig> findByCompanyIdAndWeekDay(String companyId, String weekDay, Integer attendanceType);

    List<AlarmConfig> findByTime(String time);

	List<String> findSubCompanyList(String companyCode, String companyId);

    List<AlarmConfig> findByCompanyIdAndType(String companyId, int attendanceType);
}